/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.fw.rule;

// Java classes

// Library classes

// Framework classes
import gov.va.med.fw.validation.Validatable;

// EDB classes

/**
 * Project: Framework
 * @author DNS   LEV
 * @version 1.0
 */
public class SimpleValidatableRule implements Validatable {

   private String validationMode = null;
   private RuleParameters ruleParameters = null;
   private RuleDataAware ruleDataAware = null;
   
   /**
    * A default constructor
    */
   public SimpleValidatableRule( String mode, RuleParameters parameters, RuleDataAware data ) {
      super();
      this.validationMode = mode;
      this.ruleParameters = parameters;
      this.ruleDataAware = data;
   }
   
   /**
    * @see gov.va.med.fw.validation.Validatable#getValidationMode()
    */
   public String getValidationMode() {
      return this.validationMode;
   }
   
   public RuleParameters getRuleParameters() {
      return ruleParameters;
   }
   
   public RuleDataAware getRuleDataAware() {
      return ruleDataAware;
   }
}
